Loading...
Searching...
No Matches
L4drivers::Ro_register_tmpl< BITS, BLOCK > Class Template Reference

Single read only register inside a Register_block_base interface. More...

`#include <hw_register_block>`

Inheritance diagram for L4drivers::Ro_register_tmpl< BITS, BLOCK >:
Collaboration diagram for L4drivers::Ro_register_tmpl< BITS, BLOCK >:

## Public Member Functions

| operator value_type () const
| read the value from the hardware register.
value_type | read () const
| read the value from the hardware register.

## Detailed Description

template<unsigned BITS, typename BLOCK>
class L4drivers::Ro_register_tmpl< BITS, BLOCK >

Single read only register inside a Register_block_base interface.

Template Parameters

  BITS | The access with of the register in bits.
  BLOCK | The type for the Register_block_base interface.

Note
  Objects of this type must be used only in temporary contexts not in global, class, or object scope.

Allows simple read only access to a hardware register.

Definition at line 201 of file hw_register_block.

## Member Function Documentation

## operator value_type()

template<unsigned BITS, typename BLOCK>

L4drivers::Ro_register_tmpl< BITS, BLOCK >::operator value_type | ( |  | ) | const

inline

read the value from the hardware register.

Returns
  value read from the hardware register.

Definition at line 217 of file hw_register_block.

## read()

template<unsigned BITS, typename BLOCK>

value_type L4drivers::Ro_register_tmpl< BITS, BLOCK >::read | ( |  | ) | const

inline

read the value from the hardware register.

Returns
  value from the hardware register.

Definition at line 224 of file hw_register_block.

Referenced by L4drivers::value_type< BITS, BLOCK >::operator value_type(), and L4drivers::value_type< BITS, BLOCK >::read().

Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- pkg/drivers-frst/include/hw_register_block